Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SendPhoneNumberConfirmationCode

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.AuthenticationCodeInfo>
it.tdlight.jni.TdApi.SendPhoneNumberConfirmationCode

Enclosing class:
  TdApi

public static final class TdApi.SendPhoneNumberConfirmationCode extends TdApi.Function<TdApi.AuthenticationCodeInfo>
Sends phone number confirmation code to handle links of the type internalLinkTypePhoneNumberConfirmation.

Returns `AuthenticationCodeInfo`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`hash`
Hash value from the link.
`String`
`phoneNumber`
Phone number value from the link.
`TdApi.PhoneNumberAuthenticationSettings`
`settings`
Settings for the authentication of the user's phone number; pass null to use default settings.

## Constructor Summary

Constructors
Constructor
Description
`SendPhoneNumberConfirmationCode()`
Sends phone number confirmation code to handle links of the type internalLinkTypePhoneNumberConfirmation.
`SendPhoneNumberConfirmationCode(DataInput input)`
Sends phone number confirmation code to handle links of the type internalLinkTypePhoneNumberConfirmation.
`SendPhoneNumberConfirmationCode(String hash, String phoneNumber, TdApi.PhoneNumberAuthenticationSettings settings)`
Sends phone number confirmation code to handle links of the type internalLinkTypePhoneNumberConfirmation.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### hash

public String hash
Hash value from the link.

### phoneNumber

public String phoneNumber
Phone number value from the link.

### settings

public TdApi.PhoneNumberAuthenticationSettings settings
Settings for the authentication of the user's phone number; pass null to use default settings.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SendPhoneNumberConfirmationCode

public SendPhoneNumberConfirmationCode()
Sends phone number confirmation code to handle links of the type internalLinkTypePhoneNumberConfirmation.

Returns `AuthenticationCodeInfo`

### SendPhoneNumberConfirmationCode

public SendPhoneNumberConfirmationCode(String hash, String phoneNumber, TdApi.PhoneNumberAuthenticationSettings settings)
Sends phone number confirmation code to handle links of the type internalLinkTypePhoneNumberConfirmation.

Returns `AuthenticationCodeInfo`

Parameters:
  `hash` - Hash value from the link.
  `phoneNumber` - Phone number value from the link.
  `settings` - Settings for the authentication of the user's phone number; pass null to use default settings.

  Returns `AuthenticationCodeInfo`

### SendPhoneNumberConfirmationCode

public SendPhoneNumberConfirmationCode(DataInput input) throws IOException
Sends phone number confirmation code to handle links of the type internalLinkTypePhoneNumberConfirmation.

Returns `AuthenticationCodeInfo`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`